### Method

# RB RhythmDB query_append

#### Declaration [src]

    void
    rhythmdb_query_append (
      RhythmDB* db,
      RhythmDBQuery* query,
      ...
    )

#### Description [src]

Appends new criteria to the query `query`.

The list of criteria must be in the same format as for rhythmdb_query_parse, and ended by RHYTHMDB_QUERY_END.

This method is not directly available to language bindings.

#### Parameters

`query`

  Type: `RhythmDBQuery`

  A query.

  The data is owned by the caller of the method.

`...`

  Type: ``

  Query criteria to append.